[autobuild at samba.org: autobuild[sn-devel-104]: intermittent test failure detected]

Uri Simchoni uri at samba.org
Mon Sep 5 06:03:08 UTC 2016


On 09/05/2016 08:24 AM, Volker Lendecke wrote:
> Hi!
> 
> Just FYI: This seems to be due to tshark on Ubuntu 10.04 not knowing
> about a -Y option.
> 
> [1621(10512)/1959 at 1h56m38s] samba4.blackbox.client_etypes_all(ad_dc:client)
> tshark: invalid option -- 'Y'
> UNEXPECTED(failure):
> samba4.blackbox.client_etypes_all(ad_dc:client).verify types(ad_dc:client)
> REASON: Exception: Exception:
> 
> Can/should we fix this?
> 
> Thanks,
> 
> Volker

Hopefully this fixes it...

Thanks,
Uri
-------------- next part --------------
>From 04fc2bfdc96cfbaa6c942fe9d66d7961bcd28b52 Mon Sep 17 00:00:00 2001
From: Uri Simchoni <uri at samba.org>
Date: Mon, 5 Sep 2016 08:52:52 +0300
Subject: [PATCH] selftest: detect older tshark version

Detect older versions of tshark, which do not recognize
the -Y option, and skip the kerberos enc type tests

Signed-off-by: Uri Simchoni <uri at samba.org>
---
 testprogs/blackbox/test_client_etypes.sh | 12 ++++++++++++
 1 file changed, 12 insertions(+)

diff --git a/testprogs/blackbox/test_client_etypes.sh b/testprogs/blackbox/test_client_etypes.sh
index f424b52..57739c6 100755
--- a/testprogs/blackbox/test_client_etypes.sh
+++ b/testprogs/blackbox/test_client_etypes.sh
@@ -51,6 +51,18 @@ testit "testjoin" $VALGRIND $net_tool ads testjoin -kP || failed=`expr $failed +
 export SOCKET_WRAPPER_PCAP_FILE=
 testit "leave" $VALGRIND $net_tool ads leave -U$DC_USERNAME%$DC_PASSWORD || failed=`expr $failed + 1`
 
+#
+# Older versions of tshark do not support -Y option,
+# They use -R which cannot be used with recent versions...
+#
+if ! tshark -r $pcap_file  -nVY "kerberos" > /dev/null 2>&1 ; then
+    subunit_start_test "client encryption types"
+    subunit_skip_test "client encryption types" <<EOF
+Skipping tests - old version of tshark detected
+EOF
+    exit 0
+fi
+
 actual_types="`tshark -r $pcap_file  -nVY "kerberos" | \
 	sed -rn -e 's/[[:space:]]*ENCTYPE:.*\(([^\)]*)\)$/\1/p' \
 	    -e 's/[[:space:]]*Encryption type:.*\(([^\)]*)\)$/\1/p' | \
-- 
2.5.5



More information about the samba-technical mailing list